commit:     3caa0c79d3795ccb69c38f96620b71d9dec10778
Author:     Eli Schwartz <eschwartz <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 21 18:26:59 2024 +0000
Commit:     Eli Schwartz <eschwartz <AT> gentoo <DOT> org>
CommitDate: Wed Aug 21 19:07:32 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3caa0c79

dev-libs/papi: add 7.1.0

Upstream release from 2023. Does not fix LTO, but does obsolete the
Modern C patches.

Closes: https://bugs.gentoo.org/886333
Signed-off-by: Eli Schwartz <eschwartz <AT> gentoo.org>

 dev-libs/papi/Manifest          |  1 +
 dev-libs/papi/papi-7.1.0.ebuild | 61 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 62 insertions(+)

diff --git a/dev-libs/papi/Manifest b/dev-libs/papi/Manifest
index 661455e14046..6f5cf45db24e 100644
--- a/dev-libs/papi/Manifest
+++ b/dev-libs/papi/Manifest
@@ -1 +1,2 @@
 DIST papi-6.0.0.1.tar.gz 4665285 BLAKE2B 
5b6b2de8c16510a05a57159ceba591625c78f2a6d4ea62979fea4dd3e72bce73138e36480d82e13713c9ff2298e00330619fa57fdc7f81d75e1ce519b6f600ae
 SHA512 
54c37b49858e921bd1357d8b0bba12c27e40e89b1354d89e5a85672ef3e6d3a4784212079098004256369a172d744580fb283741e7b4ac2d6fa5642bc42ea2ad
+DIST papi-7.1.0.tar.gz 5701396 BLAKE2B 
66a781552ee6a20daa98e39b5a4385efbc3703e9f633c087f101260c8b3543bc5e8afb9f160b7450fde74ec0322ad632d5aa54b0a9c8d672f6a36b63901b3e50
 SHA512 
6e427505b9237a2165dee8c198708a26f4b366ca31a424340206d29c56d04b13405d20a734f311a1f18cbbbc1b940eb5c93535cd734b0c796459623e93624219

diff --git a/dev-libs/papi/papi-7.1.0.ebuild b/dev-libs/papi/papi-7.1.0.ebuild
new file mode 100644
index 000000000000..f7cc2137abaf
--- /dev/null
+++ b/dev-libs/papi/papi-7.1.0.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools flag-o-matic fortran-2 toolchain-funcs
+
+DESCRIPTION="Performance Application Programming Interface"
+HOMEPAGE="https://icl.utk.edu/papi/";
+SRC_URI="https://icl.utk.edu/projects/${PN}/downloads/${P}.tar.gz";
+S="${WORKDIR}/${P}/src"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="
+       >=dev-libs/libpfm-4.13.0[static-libs]
+       virtual/mpi
+"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+       default
+
+       mv configure.{in,ac} || die
+       eautoreconf
+}
+
+src_configure() {
+       # -Werror=lto-type-mismatch
+       # https://bugs.gentoo.org/855983
+       # https://github.com/icl-utk-edu/papi/issues/218
+       filter-lto
+
+       tc-export AR
+
+       # TODO: Could try adding
+       # --with-static-user-events=no
+       # --with-static-papi-events=no
+       # --with-static-lib=no
+       # --with-static-tools=no
+       # but this requires fixing the homebrew configure logic for
+       # little gain
+       local myeconfargs=(
+               --with-perf-events
+               --with-pfm-prefix="${EPREFIX}/usr"
+               --with-pfm-libdir="${EPREFIX}/usr/$(get_libdir)"
+       )
+
+       CONFIG_SHELL="${EPREFIX}/bin/bash" econf "${myeconfargs[@]}"
+}
+
+src_install() {
+       default
+
+       dodoc ../RE*
+
+       find "${ED}" -name '*.a' -delete || die
+       find "${ED}" -name '*.la' -delete || die
+}

Reply via email to